%define name libsbml
%define version 2.3.2
%define release 1mdk

Summary:	Systems Biology Markup Language (SBML) library
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:         http://prdownloads.sourceforge.net/sbml/%{name}-%{version}.tar.bz2
License:	LGPL
Group:		System/Libraries
Url:		http://sbml.org/libsbml.html
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	swig python
BuildRequires:  xerces-c-devel python-devel tetex-latex tetex-dvips
%description
The Systems Biology Markup Language (SBML) is a computer-readable format for 
representing models of biochemical reaction networks. SBML is applicable 
to metabolic networks, cell-signaling pathways, genomic regulatory networks,
and many other areas in systems biology.

LIBSBML is a C application programming interface (API) library for reading, 
writing and manipulating the SBML. Currently, the library supports all of 
SBML Level 1 Version 1 and Version 2, and nearly all of SBML Level 2 Version 1.
(The still-unimplemented parts of Level 2 are support for RDF and support
for MathML's semantics, annotation and annotation-xml elements. 
These will be implemented in the near future.)


%package -n %{name}-devel
Summary:        Header files for development with the Systems Biology Markup Language (SBML)
Group:          Development/C
Requires:       %{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{name}-devel
This package provides the necessary development libraries and includes
files to allow you to develop with the Systems Biology Markup Language (SBML)


%package -n %{name}-static-devel
Summary:        Static libraries for the Systems Biology Markup Language (SBML) library
Group:          Development/C
Requires:       %{name}-devel = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}

%description -n %{name}-static-devel
This package includes the static libraries necessary for developing programs 
which will use the Systems Biology Markup Language (SBML)


%package doc
Summary:        Documentation for libSBML
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description doc
This package contains the developer's documentation



%prep

%setup -q
%build

#do not use percent/configure and percent/make they mess up the compilation
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
export CPPFLAGS="$RPM_OPT_FLAGS"
export FFLAGS="$RPM_OPT_FLAGS"
./configure i586-mandrake-linux-gnu --prefix=%_prefix --with-xerces --with-swig --with-python #--with-perl #--libdir=%_libdir
make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -n %{name}
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/python%{pyver}/site-packages/*

%files -n %{name}-devel
%defattr(-,root,root)
%doc COPYING.txt
%{_includedir}/sbml/

%files -n %{name}-static-devel
%defattr(-,root,root)
%doc COPYING.txt
%{_libdir}/*.a

%files doc
%defattr(-,root,root)
%{_docdir}

%changelog
* Tue Jun 07 2005 Eric Fernandez <zeb@zebulon.org.uk> 2.3.2-1mdk
- New version 2.3.2
- Removed install and doc hacks (thanks to correct Makefiles)
- Clean up Buildrequires (lib devel requirements)

* Sun Jan 02 2005 Eric Fernandez <zeb@zebulon.org.uk> 2.2.0-3mdk
- Rebuild

* Mon Dec 13 2004 Eric Fernandez <zeb@zebulon.org.uk> 2.2.0-2mdk
- Rebuild for new libxerces-c26, replaces libxerces-c25

* Thu Dec 09 2004 Eric Fernandez <zeb@zebulon.org.uk> 2.2.0-1mdk
- New version 2.2.0
- removed fix for python modules, now correctly handled by the Makefile
- split doc
- added url for source ( Michael Scherer )

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 2.1.0-5mdk
- Rebuild for new python

* Thu Oct 21 2004 Michael Scherer <misc@mandrake.org> 2.1.0-4mdk 
- BuildRequires

* Thu Oct 14 2004 Michael Scherer <misc@mandrake.org> 2.1.0-3mdk
- BuildRequires  

* Fri Oct 01 2004 Michael Scherer <misc@mandrake.org> 2.1.0-2mdk 
- BuildRequires

* Sun Sep 19 2004 Michael Scherer <misc@mandrake.org> 2.1.0-1mdk 
- some fix
- from Eric Fernandez <zeb@zebulon.org.uk> 
  - First mdk release
